net.corda.core.crypto

## Class EdDSAKeyFactory

- net.corda.core.crypto.EdDSAKeyFactory

-     public class EdDSAKeyFactory

  Custom KeyFactory for EdDSA with null security Provider. This is required as a `class SignatureScheme` requires a java.security.KeyFactory property, but i2p has its own KeyFactory for EdDSA, thus this actually a Proxy Pattern over i2p's KeyFactory.

  See Also:
    KeyFactory, Provider, `class SignatureScheme`, java.security.KeyFactory

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EdDSAKeyFactory()`

- - ### Constructor Detail

    - #### EdDSAKeyFactory

          public EdDSAKeyFactory()